#pragma once
#include "SocketUtil.h"


// CDistInfoDlg 대화 상자입니다.

class CDistInfoDlg : public CDialog
{
	DECLARE_DYNAMIC(CDistInfoDlg)

public:
	CDistInfoDlg(CWnd* pParent = NULL);   // 표준 생성자입니다.
	virtual ~CDistInfoDlg();

	void GetDistInfo(void);

// 대화 상자 데이터입니다.
	enum { IDD = IDD_VOLUME_DIST_INFO };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.
	CSocketUtil m_sutil;

	DECLARE_MESSAGE_MAP()

public:
	CString m_cp;
	CString m_user;
	CString m_passwd;
	CString m_dist_path;
	CString m_RCTSAddress;
	CString m_file_cnt;
	CString m_dist_complete;
	CString m_dist_now;
	CString m_dist_fail;
	virtual BOOL OnInitDialog();
};
